import { axios } from '@/utils/request'

// 核销记录列表
export const getVerificationRecordsList = (params) => {
  const url = `/verification/queryLikeByChannel/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 门店
export const getStoreList = (params) => {
  const url = `/store/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 合计
export const getVerificationRecordsListTotal = (params) => {
  const url = `/verification/countSettledByChannel`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 导出核销数据
export const settlementRecordsExport = (params) => {
  const url = `/verification/export`
  return axios({
    url: url,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  套餐属性 列表
export const salesChannelGoodsList = (params) => {
  const url = `/salesChannelGoods/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  套餐属性  设置
export const salesChannelGoodsConfig = (params) => {
  const url = `/salesChannelGoods/setPropertiesConfig`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
