import { axios } from '@/utils/request'

// 分页查询角色
export const getPowerRoleList = params => {
  const url = `scrole/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 保存角色
export const saveRolePower = params => {
  return axios({
    url: 'scrole/save',
    data: params,
    method: 'POST'
  })
}
// flag 0：禁用 1：启用  启禁用角色
export const updateEnableStatus = params => {
  return axios({
    url: `scrole/enable/${params.id}/${params.flag}`,
    data: {},
    method: 'get'
  })
}
// 删除角色
export const delectRolePower = params => {
  return axios({
    url: `scrole/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 查询可用所有菜单
export const getMenuList = params => {
  const url = `scrole/findAllMenu/${params.id}`
  return axios({
    url: url,
    method: 'get'
  })
}
// 保存角色菜单关系
export const addMenuPower = params => {
  const url = `scrole/saveRoleMenu`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
